Electronic Submission of Financial Return

  There is no Java Runtime Environment (JRE) currently enabled or supported by your browser.
You are recommended to use the following JRE only to access the e-FRR System:
  • Oracle JRE 6 (1.6), or
  • Oracle JRE 7 (1.7), or
  • Oracle JRE 8 (1.8)

  • You are using:

    Please refer to Oracle's official website for downloading the recommended version of JRE to run e-FRR System only.

    Signature Verification Forms User Guides FAQs Contact Us